@import "../utils/responsive";
@import "../utils/variables";
@import "../themes/theme";

*::after,
*::before {
    box-sizing: inherit;
}

html {
    box-sizing: border-box;
    font-size: 62.5%;
}

body {
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    line-height: 1.6;
    margin: 0;
    padding: 0;
}

.flex {
    display: flex;

    &-row {
        flex-direction: row;
    }

    &-row-reverse {
        flex-direction: row-reverse;
    }

    &-column {
        flex-direction: column;
    }

    &-column-reverse {
        flex-direction: column-reverse;
    }
}

.flex-justify {
    &-center {
        justify-content: center;
    }
    &-end {
        justify-content: flex-end;
    }
    &-start {
        justify-content: flex-start;
    }
    &-space-between {
        justify-content: space-between;
    }
    &-space-around {
        justify-content: space-around;
    }
}

.flex-align {
    &-center {
        align-items: center;
    }
    &-end {
        align-items: flex-end;
    }
    &-start {
        align-items: flex-start;
    }
}

.h-100 {
    height: 100%;
}

.vh-100 {
    height: 100vh;
}

.w-100{
    width: 100%;
}

.vw-100{
    width: 100vw;
}

.ml-3{
    margin-left: 3rem;
}

.ml-1{
    margin-left: 1rem;
}

